Bug 249803 - Node creation error
Summary: Node creation error
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Zim   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-27 04:56 UTC by Philip Ashmore
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.21-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 07:16:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Philip Ashmore 2007-07-27 04:56:41 UTC
Description of problem:
If you select a word that doesn't correspond with the name of an existing node,
Zim enters an endless loop (becomes unresponsive). The only way out is to
terminate the app.

Version-Release number of selected component (if applicable):
0.19

How reproducible:
very

Steps to Reproduce:
1. Start Zim, enter text, select a word that doesn't match the name of an
existing node.
2. Click on the "Link" button.
  
Actual results:
Zim freezes.


Expected results:
A new link should be created.

Additional info:
When I restart Zim, the link is created and Zim opens a page for the new link.

Comment 1 Chris Weyl 2007-10-10 17:21:08 UTC
Confirmed for 0.19 -- 0.21 appears to resolve this.

Comment 2 Fedora Update System 2007-10-11 01:47:50 UTC
Zim-0.21-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Zim'

Comment 3 Philip Ashmore 2007-10-14 16:39:33 UTC
Confirmed - the bug is squashed.
I noticed some cases where what I saw (when wsiwyg editing a page) wasn't what I
got (when revisiting a page), for example converting (part of) a heading into a
link. The old version had this too. It probably needs a different bug report.

How do I turn off spell checking on verbatim text? That red underlining on web
site addresses can be irritating.

Last points - sorry if this isn't the right place to post this.

I've started using trac (http://projects.edgewall.com/trac/) but while there is
a large overlap in features the main shortcoming of wikis is poor/no wsiwyg
support. The Zim deficiency is no (explicit) macro support.
I think Zim has the potential to be a great client side front end for server
based wikis allowing for wsiwyg editing.
Any plans for this?

Any plans for changing the underlying storage format (i.e. a pluggable format 
storage system) to be compatible with different wikis?

Could you implement the front end in Java and share the code base with the
desktop app? This last one definitely belongs on a "wish list"!

Comment 4 Chris Weyl 2007-10-14 18:41:04 UTC
All excellent questions :) 

I only maintain this package in the Fedora repositories; I'm neither the author
nor maintainer.  The Zim website is at http://www.pardus.nl/projects/zim/ and
the author's "how to handle bugs!" page.

As to the backends, etc: I have looked at the code a bit, and the backend store
system is fairly modular.  In fact, if memory serves there are already 3 types
of stores implemented (and I'm contemplating writing one that handles encrypted
pages).


Comment 5 Fedora Update System 2007-10-24 07:16:53 UTC
Zim-0.21-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.